Subject: Re: sshd and md5 passwords
To: Louis Guillaume <>
From: Jeremy C. Reed <>
List: tech-pkg
Date: 04/06/2004 10:33:54
On Tue, 6 Apr 2004, Louis  Guillaume wrote:

> Is there a reason we don't have...
> CONFIGURE_ARGS+=--with-md5-passwords
> ... in security/openssh/Makefile? It seems like it would be an obvious
> default. I've run into problems with this being missing each time I
> build the package on Slackware.

Some versions of crypt already know md5.

Maybe we can make it for just Linux. Because I have needed it in the past
when PAM was not setup.


.if ${OPSYS} == "Linux"
CONFIGURE_ARGS+=	--with-md5-passwords

Maybe it is fine for NetBSD too.

Two PRs are related to this:

#16546: security/openssh lacks MD5 passwords support

and my PR # #20846: allow PAM for pkgsrc/security/openssh under Linux

   Jeremy C. Reed